require ("player")
require ("mlib")
require ("projectile")


function love.load()


	_w = love.graphics.getWidth()
	_h = love.graphics.getHeight()
	_mx = love.mouse.getX()
	_my = love.mouse.getY()	
	
	math.randomseed(os.time()) --for testing
	_intProjectiles()
	_intPlayer() --load player
	playerintd = true
	_fDT = 0.2
end

function love.update(dt)	
	--update instances
	_moveProjectiles()	
	_movePlayer()
	
	_fDT = dt --frame delta time
	_mx = love.mouse.getX()
	_my = love.mouse.getY()
	
	--player controls
	if love.keyboard.isDown("right") then
		_rotatePlayer("right")
	elseif love.keyboard.isDown("left") then
		_rotatePlayer("left")		
	end
	
	-- fireing
	if love.keyboard.isDown("a") then
		_fireProjectile()
	end
end


function love.draw()
	love.graphics.setColor(255,255,255)
	_drawPlayer()
	love.graphics.setColor(128, 128, 128)
	_drawProjectiles()
end
