require("mlib")

_intProjectiles = function()
	_projectiles = {}
	_projectileSpeed = 500
end

_moveProjectiles = function()
	if _projectiles ~= nil then -- make sure the table is not nil
		for i, v in ipairs(_projectiles) do --v = value AKA the current bprojectile
			v["x"] = v["x"] + v["dx"] * _fDT
			v["y"] = v["y"] + v["dy"] * _fDT
		end
	end
end

_fireProjectile = function()   
    local angle = math.atan2((_my - _player.y), (_mx- _player.x))
   
    local projectiledX = _projectileSpeed * math.cos(angle) --projectile direction X
    local projectiledY = _projectileSpeed * math.sin(angle) 

	table.insert(_projectiles, {x = _player.x, y = _player.y, dx = projectiledX, dy = projectiledY})
end

_drawProjectiles = function()
	if _projectiles ~= nil then		-- make sure the table is not nil
		for i, v in ipairs(_projectiles) do
			love.graphics.setColor(128, 128, 128)
			love.graphics.circle("fill", v["x"], v["y"], 2)
		end
	end
end
