
_intPlayer = function()
	_player = {
		x = _w / 2,
		y = _h / 2,
		angle = 180,
		size = 20,
		speed = 10,
		turnSpeed = 5000	
	}
end

_movePlayer = function()
	_player.x = _player.x + math.cos(math.rad(_player.angle) * _player.speed * _fDT)	
	_player.y = _player.y + math.sin(math.rad(_player.angle) * _player.speed * _fDT)
end

_rotatePlayer = function(key)
	if key == "right" then
		_player.angle = _player.angle + _player.turnSpeed * _fDT
	elseif key == "left" then
		_player.angle = _player.angle - _player.turnSpeed * _fDT
	end
end

_drawPlayer = function()
	love.graphics.setColor(255,255,255)
	love.graphics.polygon("fill",
		_player.x + 
		_player.size, 
		_player.y +
		_player.size, 
		_player.x, 
		_player.y - 
		_player.size,
		_player.x - 
		_player.size,
		_player.y + 
		_player.size
	)
end

